package com.xhpc.activity.service;

import com.xhpc.activity.domain.XhpcWorkDeptDomain;

import java.util.List;
import java.util.Map;

public interface WorkDeptService {

    List<XhpcWorkDeptDomain> getPage(Map<String, Object> params);

    List<Map<String, Object>> getList(Map<String, Object> params);

    List<Map<String, Object>> getTree(Map<String, Object> params);

    XhpcWorkDeptDomain getDomainByPk(Long typeId);

    Boolean insertDomain(XhpcWorkDeptDomain domain);

    Boolean updateDomain(XhpcWorkDeptDomain domain);

    Boolean deleteDomain(Long typeId);

    Object updateDomainStatus(XhpcWorkDeptDomain domain);
}
